com.impinj.octane

## Enum CommunicationsStandardType

- java.lang.Object
- - java.lang.Enum<CommunicationsStandardType>
  - - com.impinj.octane.CommunicationsStandardType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CommunicationsStandardType>

      public enum CommunicationsStandardType
      extends java.lang.Enum<CommunicationsStandardType>

  This enumerations defines the regulatory rules under which this device operates

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Australia_LIPD_1W` Comply with ACMAs Low Interference Potential Devices (LIPD) Class License 2000, with a maximum transmit power of 1 Watt.
    `Australia_LIPD_4W` Comply with ACMAs Low Interference Potential Devices (LIPD) Class License 2000, with a maximum transmit power of 4 Watts.
    `ETSI_300_220` Comply with ETSI EN 30 2220 specification, replaced in 2004 by the ETSI EN 302 208 specification.
    `ETSI_302_208` Comply with ETSI EN 302 208 specification.
    `Hong_Kong_OFTA_1049` Comply with the Office of the Telecommunications Authority (OFTA) of Hong Kong, China, standard HKTA 1049.
    `Japan_ARIB_STD_T89` Comply with ARIB's STD-T89 specification.
    `Korea_MIC_Article_5_2` Comply with Ministry of Information and Communication (MIC) of Republic of Korea (South Korea) RFID standard.
    `Taiwan_DGT_LP0002` Comply with Taiwan Directorate General of Telecommunications (DGT) specification LP0002.
    `Unspecified` Unspecified regulatory region.
    `US_FCC_Part_15` Comply with Federal Communications Commission (FCC) Part 15.247 and 15.249.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `intValue()` Converts the enumeration object to an integer value
    `static CommunicationsStandardType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CommunicationsStandardType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unspecified

          public static final CommunicationsStandardType Unspecified

      Unspecified regulatory region.

    - #### US_FCC_Part_15

          public static final CommunicationsStandardType US_FCC_Part_15

      Comply with Federal Communications Commission (FCC) Part 15.247 and 15.249. Required for use in North America.

    - #### ETSI_302_208

          public static final CommunicationsStandardType ETSI_302_208

      Comply with ETSI EN 302 208 specification. Required for use in the European Union and United Arab Emirates (UAE).

    - #### ETSI_300_220

          public static final CommunicationsStandardType ETSI_300_220

      Comply with ETSI EN 30 2220 specification, replaced in 2004 by the ETSI EN 302 208 specification. Not supported on Speedway Revolution.

    - #### Australia_LIPD_1W

          public static final CommunicationsStandardType Australia_LIPD_1W

      Comply with ACMAs Low Interference Potential Devices (LIPD) Class License 2000, with a maximum transmit power of 1 Watt.

    - #### Australia_LIPD_4W

          public static final CommunicationsStandardType Australia_LIPD_4W

      Comply with ACMAs Low Interference Potential Devices (LIPD) Class License 2000, with a maximum transmit power of 4 Watts. Required for use in Australia.

    - #### Japan_ARIB_STD_T89

          public static final CommunicationsStandardType Japan_ARIB_STD_T89

      Comply with ARIB's STD-T89 specification. Required for use in Japan.

    - #### Hong_Kong_OFTA_1049

          public static final CommunicationsStandardType Hong_Kong_OFTA_1049

      Comply with the Office of the Telecommunications Authority (OFTA) of Hong Kong, China, standard HKTA 1049. Required for use in Hong Kong.

    - #### Taiwan_DGT_LP0002

          public static final CommunicationsStandardType Taiwan_DGT_LP0002

      Comply with Taiwan Directorate General of Telecommunications (DGT) specification LP0002. Required for use in Taiwan

    - #### Korea_MIC_Article_5_2

          public static final CommunicationsStandardType Korea_MIC_Article_5_2

      Comply with Ministry of Information and Communication (MIC) of Republic of Korea (South Korea) RFID standard. Required for use in South Korea.

  - ### Method Detail

    - #### values

          public static CommunicationsStandardType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CommunicationsStandardType c : CommunicationsStandardType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CommunicationsStandardType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### intValue

          public int intValue()

      Converts the enumeration object to an integer value
      Returns:
        the communication standard as an integer